/*
 * @license
 * Your First PWA Codelab (https://g.co/codelabs/pwa)
 * Copyright 2019 Google Inc. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */

* {
  box-sizing: border-box;
}

html,
body {
  color: #000;
  font-family: 'Helvetica', 'Verdana', sans-serif;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  height: 100%;
  margin: 0;
  padding: 0;
  width: 100%;
}

html {
  overflow: hidden;
}

body {
  align-content: stretch;
  align-items: stretch;
  background: #ececec;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: flex-start;
}

a {
    color: #003E4F;
}
/**
 * Header
 */

.header {
  align-content: center;
  align-items: stretch;
  background: rgb(199,194,175);
  box-shadow:
    0 4px 5px 0 rgba(0, 0, 0, 0.14),
    0 2px 9px 1px rgba(0, 0, 0, 0.12),
    0 4px 2px -2px rgba(0, 0, 0, 0.2);
  color: #fff;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  font-size: 20px;
  height: 56px;
  justify-content: flex-start;
  padding: 16px 16px 0 16px;
  position: fixed;
  transition: transform 0.233s cubic-bezier(0, 0, 0.21, 1) 0.1s;
  width: 100%;
  will-change: transform;
  z-index: 1000;
  bottom:0;
}

.header h1 {
  flex: 1;
  font-size: 20px;
  font-weight: 400;
  margin: 0;
}

.header button {
  border: none;
  cursor: pointer;
  height: 24px;
  margin-right: 16px;
  opacity: 0.54;
  outline: none;
  overflow: hidden;
  text-indent: -30000px;
  transition: opacity 0.333s cubic-bezier(0, 0, 0.21, 1);
  width: 24px;
}

.header #butRefresh {
  background: url(../images/refresh.svg) center center no-repeat;
}

.header #butInstall {
  background: url(../images/install.svg) center center no-repeat;
}

.header .powered-by {
  color: white;
  font-size: 0.6em;
  text-decoration: underline;
}

/**
 * Loading spinner
 */

.card-spinner {
  background-color: rgba(255, 255, 255, 0.8);
  height: 100%;
  margin-left: -16px;
  margin-top: -16px;
  position: absolute;
  width: 100%;
}

.card-spinner svg {
  left: 50%;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
}

.card-spinner svg circle {
  animation: line 1.6s cubic-bezier(0.4, 0, 0.2, 1) infinite, rotate 1.6s linear infinite;
  box-sizing: border-box;
  stroke: #30334b;
  /* #3f51b5;*/
  stroke-width: 3px;
  transform-origin: 50%;
}

@keyframes rotate {
  from {
    transform: rotate(0);
  }

  to {
    transform: rotate(450deg);
  }
}

@keyframes line {
  0% {
    stroke-dasharray: 2, 85.964;
    transform: rotate(0);
  }

  50% {
    stroke-dasharray: 65.973, 21.9911;
    stroke-dashoffset: 0;
  }

  100% {
    stroke-dasharray: 2, 85.964;
    stroke-dashoffset: -65.973;
    transform: rotate(90deg);
  }
}

/**
 * Icons
 */

.icon {
  background-repeat: no-repeat;
  background-size: contain;
}

.icon.add {
  background-image: url("../images/add.svg");
}


/**
 * Main body
 */

.main {
  flex: 1;
  overflow-x: hidden;
  overflow-y: auto;
  padding-top: 60px;
}

.main .fab {
  background-color: #30334b;
  /* #3f51b5;*/
  border-radius: 50%;
  bottom: 1rem;
  height: 56px;
  padding: 12px;
  position: fixed;
  right: 1rem;
  width: 56px;
  z-index: 1000;
}

.main .fab .icon {
  display: inline-block;
  height: 100%;
  width: 100%;
}

/**
 * Add dialog
 */

#addDialogContainer {
  background: rgba(0, 0, 0, 0.57);
  height: 100%;
  left: 0;
  opacity: 0;
  pointer-events: none;
  position: fixed;
  top: 0;
  transition: opacity 0.333s cubic-bezier(0, 0, 0.21, 1);
  width: 100%;
  will-change: opacity;
}

#addDialogContainer.visible {
  opacity: 1;
  pointer-events: auto;
}

.dialog {
  background: #fff;
  border-radius: 2px;
  box-shadow:
    0 0 14px rgba(0, 0, 0, 0.24),
    0 14px 28px rgba(0, 0, 0, 0.48);
  left: 50%;
  min-width: 280px;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%) translateY(30px);
  transition: transform 0.333s cubic-bezier(0, 0, 0.21, 1) 0.05s;
}

.dialog>div {
  padding-left: 24px;
  padding-right: 24px;
}

.dialog-title {
  font-size: 1.25em;
  padding-top: 20px;
}

.dialog-body {
  padding-bottom: 24px;
  padding-top: 20px;
}

.dialog-body select {
  width: 100%;
}

.dialog-buttons {
  float: right;
  padding-bottom: 16px;
  padding-right: 17px !important;
}

.dialog .button {
  background: transparent;
  border: none;
  font-size: 14px;
  text-transform: uppercase;
}

.map {
  margin: 0;
  width: 100%;
  font-family: sans-serif;
  position:absolute;
  top:0;
  bottom:0;
}

.locate {
  top: 5em;
  left: .5em;
}

.track {
  top: 8em;
  left: .5em;
}

/* The Modal (background) */
.modal {
  display: none;
  /* Hidden by default */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  padding-top: 100px;
  /* Location of the box */
  left: 0;
  top: 0;
  width: 100%;
  /* Full width */
  height: 100%;
  /* Full height */
  overflow: auto;
  /* Enable scroll if needed */
  background-color: rgb(0, 0, 0);
  /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4);
  /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: fit-content;
  width: max-content;
  border-radius: 5px;
}

.modal-content input {
  border-radius: 3px;
  padding: 5px;
  border: 1px solid #afafaf;
  color: #3f3f3f;
}

.button-xlarge {
  font-size: 120% !important;
  font-weight: bold;
}
/* emulating ol buttons */
.button-ol {
    padding: 0px;
    width: 2.6em;
    line-height: 0.4;
    text-align:center;
    margin:1px;
    font-weight:bold;
}


.button-success,
.button-error,
.button-warning,
.button-secondary {
  color: white;
  border-radius: 4px;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
}

.button-success {
  background-color: rgb(159, 198, 81);
  border: solid #8BAD47 1px;
  color: #3f3f3f;
}

.button-secondary {
  background: rgba(0,60,136,.5);
}

.button-warning {
  background: rgb(223, 117, 20);
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 1.8rem;
  font-weight: bold;
  margin-top: -0.4rem;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.scroll-container {
  overflow: hidden;
  position: relative;
  margin-bottom: 0.2rem;
}

.scroll-content {
  /*display: flex;
  transition: transform 0.3s ease-in-out;*/
}

.scroll-item {
  /*flex: 0 0 auto;*/
  padding: 10px;
  margin: 0 5px;
  cursor: pointer;
  text-align:center;
}

.scroll-item.active {
  color: #000;
  font-weight:bold;
}

.scroll-arrows {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  display: flex;
  justify-content: space-between;
  pointer-events: none;
}

.arrow {
  background-color: rgb(95,96,114);
  font-size: 1.5rem;
  pointer-events: auto;
  cursor: pointer;
  width:1.5rem;
  text-align:center;
}
.ol-control button {
   background-color: #0a7a99;
}
.ol-unselectable {
   cursor: crosshair !important;
}

.geoinfo {
    padding:0.2rem;border-radius:0.1rem;position:fixed;top:0.1rem;right:0.1rem;background-color:white;opacity:0.85;z-index:0;overflow-y: auto;user-select:none
}

